For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTAddPstnBlackListItem
        • POSTSetPstnBlackListItem
        • POSTDelPstnBlackListItem
        • POSTGetPstnBlackList
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferencePstn Blacklist

DelPstnBlackListItem

||View as Markdown|
POST
https://api.voximplant.com/platform_api/DelPstnBlackListItem
POST
/platform_api/DelPstnBlackListItem
$curl -X POST "https://api.voximplant.com/platform_api/DelPstnBlackListItem?pstn_blacklist_id=987654" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Example 1
1{
2 "result": 1
3}

Remove phone number from the PSTN blacklist.

Allowed roles: Owner, Admin.

Was this page helpful?
Previous

SetPstnBlackListItem

Next

GetPstnBlackList

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

pstn_blacklist_idintegerRequired
The PSTN black list item ID

Response

Successful response
resultinteger
Returns 1 if the request has been completed successfully